Page MenuHomePhabricator

Languages box should rely on dynamic column sizing, not fixed
Closed, ResolvedPublic

Description

Translate's languages box relies on fixed column width currently, width: 15% for the first with the (in English) “Other languages:” label, width: 80% for the second one with the languages.

Current (Vector)Current (Vector, widescreen)

Proposal

  • Limiting the first column width to label only (guess, that the percentage widths have been added to please older browsers, seems obsolete now).
  • Removing separating border between label and languages, they are visually separated by background colors anyways. The colon is implying following information. Removing reduces visual noise.
Proposed (Vector)(Vector, widescreen)

Event Timeline

Volker_E created this task.Apr 12 2019, 9:51 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 12 2019, 9:51 PM

Change 503420 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/Translate@master] Reduce visual noice in language list box

https://gerrit.wikimedia.org/r/503420

Change 503420 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Reduce visual noise in language list box

https://gerrit.wikimedia.org/r/503420

Nikerabbit closed this task as Resolved.Apr 21 2019, 6:17 PM
Nikerabbit assigned this task to Volker_E.
Nikerabbit triaged this task as Low priority.
Nikerabbit removed a project: Patch-For-Review.
Quiddity reopened this task as Open.May 23 2019, 9:39 PM
Quiddity added a subscriber: Quiddity.

This change seems to have created a problem, if the list of existing translations is short.
E.g. at https://meta.wikimedia.org/wiki/User:Quiddity_(WMF)/CX_outreach
and at https://www.mediawiki.org/wiki/Manual:RecountCategories.php
the table gives too much space to the Other languages: cell:


Reproduced in Firefox and Chromium on Mint Linux, logged-in/out.

This comment was removed by Volker_E.

Change 512462 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/Translate@master] Make first column's width in language list box always adapt to content

https://gerrit.wikimedia.org/r/512462

Change 512462 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Make first column's width in language list box always adapt to content

https://gerrit.wikimedia.org/r/512462

Volker_E closed this task as Resolved.May 28 2019, 5:14 PM